@REM  This sample program is provided AS IS and may be used, executed, copied and modified
@REM  without royalty payment by customer
@REM  (a) for its own instruction and study,
@REM  (b) in order to develop applications designed to run with an IBM WebSphere product,
@REM  either for customer's own internal use or for redistribution by customer, as part of such an
@REM  application, in customer's own products.
@REM  Licensed Materials - Property of IBM
@REM  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009

@SETLOCAL
@ECHO OFF

@REM Setup our environment variables.

CALL "%~dp0env.bat

set CATALOG_SERVER_NAME=cs0

if not exist %JAVA_EXE% (
   ECHO Set the JAVA_HOME environment variable to a valid Java Runtime Environment directory.
   GOTO END
)


if not defined STANDALONE_XS (
   GOTO WS
)

@REM Start a stand-alone catalog server process in a stand-alone installation
%JAVA_EXE% "-classpath" "%OG_CLASSPATH%" "%OBJECTGRID_ENDORSED_DIRS%" "com.ibm.ws.objectgrid.InitializationService" "%CATALOG_SERVER_NAME%" "-catalogServiceEndPoints" "%CATALOG_SERVICE_ENDPOINTS%" -listenerPort %CATALOGSERVER_PORT% -JMXServicePort %CATALOGSERVER_JMX_PORT%

GOTO END

:WS
@REM Start a stand-alone catalog server process in a WebSphere Application Server integrated installation
%JAVA_EXE% "-classpath" "%JAVA_HOME%\lib\tools.jar;%WAS_CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\optionalLibraries\mx4j\lib" "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dobjectgrid.home=%WAS_HOME%" "com.ibm.ws.bootstrap.WSLauncher" "com.ibm.ws.objectgrid.InitializationService" "%CATALOG_SERVER_NAME%" "-catalogServiceEndPoints" "%CATALOG_SERVICE_ENDPOINTS%" -listenerPort %CATALOGSERVER_PORT% -JMXServicePort %CATALOGSERVER_JMX_PORT%

:end

@endlocal
